
<?php require_once('../Connections/paivaconex.php'); 
require_once('funcoes.php'); 

?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

$editFormAction = $_SERVER['PHP_SELF'];
if (isset($_SERVER['QUERY_STRING'])) {
  $editFormAction .= "?" . htmlentities($_SERVER['QUERY_STRING']);
}

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form1")) {

//Apagando Dados Antigos


mysql_select_db($database_paivaconex, $paivaconex);
$query_lancamento2 = "DELETE mfin_recebimentos.* FROM mfin_recebimentos 
Left Join mfin_pastas ON (Pasta_Id = mfin_pastas.Id)
WHERE Emissao = '".convertdata($_POST['dt_rec'])."' AND mfin_pastas.Numero = '".$_POST['pasta_det']."' AND md5(mfin_recebimentos.Detalhe) = '".$_POST['rec_det']."'";
$lancamento2 = mysql_query($query_lancamento2, $paivaconex) or die(mysql_error());

mysql_select_db($database_paivaconex, $paivaconex);
$query_lancamento3 = "DELETE mfin_pagamentos_2.* FROM mfin_pagamentos_2
Left Join mfin_pastas ON (Pasta = mfin_pastas.Id)
WHERE Emissao = '".convertdata($_POST['dt_rec'])."' AND mfin_pastas.Numero = '".$_POST['pasta_det']."' AND md5(mfin_pagamentos_2.Detalhe) = '".$_POST['rec_det']."'";
$lancamento3 = mysql_query($query_lancamento3, $paivaconex) or die(mysql_error());



//Comencando o insert

 
$somatorio = 0; 
$somatorio_juros = 0; 
$percentual = 0;
$valor_juros = 0;  

//Soma do Valor Total
for ($i = 0; $i < count($_POST['cli_valor']); $i++) {
	$somatorio += numerobrasil($_POST['cli_valor'][$i]);
}

//Lancamento de Honorarios  + Juros
  for ($i = 0; $i < count($_POST['cli_valor']); $i++) {
	  
	//Calculo de Porcentagem 
   	 $percentual = numerobrasil($_POST['cli_valor'][$i])/ $somatorio;
	 $valor_juros = round(numerobrasil($_POST['juros']) * $percentual, 2);
	 
	 
	//Se for o ultimo do Loop
	if ($i == count($_POST['cli_valor'])-1){
			$valor_juros = numerobrasil($_POST['juros']) - $somatorio_juros;
		}
	
	$somatorio_juros += $valor_juros;

    
  $insertSQL = sprintf("INSERT INTO mfin_recebimentos (Pasta_Id, Tipo, Forma, Cheque, Banco_Id, Cliente_Id, NumeroNota, Emissao, Vencimento, Juros, Multa, Desconto, Valor, Recebimento, Baixadoem, Detalhe, outros, outros2, outros3, outros4, honorarios) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)",
                       GetSQLValueString($_POST['Pasta_Id'], "int"),
                       GetSQLValueString($_POST['Tipo'], "text"),
                       GetSQLValueString($_POST['Forma'], "int"),
                       GetSQLValueString($_POST['Cheque'], "text"),
                       GetSQLValueString($_POST['Banco_Id'], "text"),
                       GetSQLValueString($_POST['cli_id'][$i], "int"),
                       GetSQLValueString($_POST['NumeroNota'], "int"),
                       GetSQLValueString(convertdata($_POST['Emissao']), "date"),
                       GetSQLValueString(convertdata($_POST['Emissao']), "date"),
                       GetSQLValueString($valor_juros, "double"),
                       GetSQLValueString($_POST['Multa'], "double"),
                       GetSQLValueString($_POST['Desconto'], "double"),
                       GetSQLValueString(numerobrasil($_POST['cli_valor'][$i]), "double"),
                       GetSQLValueString(convertdata($_POST['Emissao']), "date"),
                       GetSQLValueString(convertdata($_POST['Emissao']), "date"),
                       GetSQLValueString($_POST['Detalhe'], "text"),
					   GetSQLValueString(numerobrasil($_POST['outros'][$i]), "double"),
					   GetSQLValueString(numerobrasil($_POST['outros2'][$i]), "double"),
					   GetSQLValueString(numerobrasil($_POST['honorarios'][$i]), "double"),
					   GetSQLValueString(numerobrasil($_POST['repass'][$i]), "double"),
					   GetSQLValueString(numerobrasil($_POST['honorarios2'][$i]), "double"));

  mysql_select_db($database_paivaconex, $paivaconex);
  $Result1 = mysql_query($insertSQL, $paivaconex) or die(mysql_error());
  
  
  }





//Lancamento de Repasse
  for ($i = 0; $i < count($_POST['cli_valor']); $i++) {
  
  //if(isset($_POST['dtpagamento'][$i])){} else {$_POST['dtpagamento'][$i]='null';}
    
  $insertSQL = sprintf("INSERT INTO mfin_pagamentos_2 (Pasta, Fornecedor, FormaPagamento, Cheque, Banco, Cliente, NumFatura, Emissao, Vencimento, Juros, Multa, Desconto, Ir, Pis, Cofins, Csll, Inss, Iss, Valor, Detalhe, DtPagamento) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)",
                       GetSQLValueString($_POST['Pasta_Id'], "int"),
                       GetSQLValueString(167, "int"),
                       GetSQLValueString($_POST['Forma'], "int"),
                       GetSQLValueString($_POST['Cheque'], "text"),
                       GetSQLValueString($_POST['Banco_Id'], "text"),
                       GetSQLValueString($_POST['cli_id'][$i], "int"),
                       GetSQLValueString($_POST['NumeroNota'], "int"),
                       GetSQLValueString(convertdata($_POST['Emissao']), "date"),
                       GetSQLValueString(convertdata($_POST['dtpagamento'][$i]), "date"),
                       GetSQLValueString(numerobrasil($_POST['juros_repass'][$i]), "double"),
                       GetSQLValueString($_POST['Multa'], "double"),
                       GetSQLValueString($_POST['Desconto'], "double"),
					   GetSQLValueString(0, "double"),
					   GetSQLValueString(0, "double"),
					   GetSQLValueString(0, "double"),
					   GetSQLValueString(0, "double"),
					   GetSQLValueString(0, "double"),
					   GetSQLValueString(0, "double"),
                       GetSQLValueString(numerobrasil($_POST['cli_valor'][$i])-numerobrasil($_POST['repass'][$i])-numerobrasil($_POST['outros'][$i])-numerobrasil($_POST['outros2'][$i])-numerobrasil($_POST['honorarios'][$i])-numerobrasil($_POST['honorarios2'][$i]), "double"),
                       GetSQLValueString($_POST['Detalhe'], "text"),
					   GetSQLValueString(convertdata($_POST['dtpagamento'][$i]), "date"));

  mysql_select_db($database_paivaconex, $paivaconex);
  $Result1 = mysql_query($insertSQL, $paivaconex) or die(mysql_error());
  
  //Pegando o Id Gerado
  $query_teste = "SELECT LAST_INSERT_ID() as ultimo_id From mfin_pagamentos_2";
  $teste = mysql_query($query_teste, $paivaconex) or die(mysql_error());
  $row_teste = mysql_fetch_assoc($teste);
  $identif = $_POST['identificador'][$i];
  $pai_id[$identif]= $row_teste['ultimo_id'];
  
//Checagem de Cliente Pasta
mysql_select_db($database_paivaconex, $paivaconex);
$query_teste = "SELECT * FROM cli_pasta WHERE id_cli = ".$_POST['cli_id'][$i]." AND id_pasta = ".$_POST['Pasta_Id'];
$teste = mysql_query($query_teste, $paivaconex) or die(mysql_error());
$totalRows_teste = mysql_num_rows($teste);
  

if($totalRows_teste == 0){

mysql_select_db($database_paivaconex, $paivaconex);
$query_teste = "INSERT INTO cli_pasta (id_cli, id_pasta) VALUES (".$_POST['cli_id'][$i].", ".$_POST['Pasta_Id'].")";
$teste = mysql_query($query_teste, $paivaconex) or die(mysql_error());


}


//Fim do Lançamento de Repasse
}
  
  
  
  
  //Lançamento de Herdeiros
if (isset($_POST['cli_valor_herdeiro'])){
	foreach ($_POST['cli_valor_herdeiro'] as $key=>$value) {
		foreach ($_POST['cli_valor_herdeiro'][$key] as $key2=>$value2) {
			
			$nome = $_POST['cli_nome_herdeiro'][$key][$key2];
			
			//Checagem de Cliente 
			$query_teste = "SELECT * FROM mfin_clientes WHERE NomeFantasia = '".$nome."' AND Conta = 400";
			$teste = mysql_query($query_teste, $paivaconex) or die(mysql_error());
			$row_teste = mysql_fetch_assoc($teste);
			$totalRows_teste = mysql_num_rows($teste);
			
			if($totalRows_teste ==1){
				$cliente_identificado = $row_teste['Id'];
			}else{
				$query_teste = "INSERT INTO mfin_clientes 
				(Conta, Tipo, NomeFantasia, ContaResultado)
				VALUES (400, 'pf', '$nome', 163)
				";
				$teste = mysql_query($query_teste, $paivaconex) or die(mysql_error());
				
				$query_teste = "SELECT LAST_INSERT_ID() as ultimo_id From mfin_clientes";
				$teste = mysql_query($query_teste, $paivaconex) or die(mysql_error());
				$row_teste = mysql_fetch_assoc($teste);
				$cliente_identificado = $row_teste['ultimo_id'];
				
			}
			
			//Calculo de Juros e Valor
			$valor_resultado = $_POST['result_herdeiro'][$key][$key2];
			$juros_resultado = $_POST['juros_repass2_herdeiro'][$key][$key2];
			$dtpagamento_herdeiro = $_POST['dtpagamento_herdeiro'][$key][$key2];
			$valor_herdado = numerobrasil($_POST['cli_valor_herdeiro'][$key][$key2]);
			$juros_representatividade = $juros_resultado/$valor_resultado;
			
			$valor_de_juros= round($juros_representatividade * $valor_herdado, 2);
			$valor_herdado = $valor_herdado - $valor_de_juros;
			
		
			$insertSQL = sprintf("INSERT INTO mfin_pagamentos_2 (Pasta, Fornecedor, FormaPagamento, Cheque, Banco, Cliente, NumFatura, Emissao, Vencimento, Juros, Multa, Desconto, Ir, Pis, Cofins, Csll, Inss, Iss, Valor, Detalhe, id_pag_pai, DtPagamento) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)",
                       GetSQLValueString($_POST['Pasta_Id'], "int"),
                       GetSQLValueString(167, "int"),
                       GetSQLValueString($_POST['Forma'], "int"),
                       GetSQLValueString($_POST['Cheque'], "text"),
                       GetSQLValueString($_POST['Banco_Id'], "text"),
                       GetSQLValueString($cliente_identificado, "int"),
                       GetSQLValueString($_POST['NumeroNota'], "int"),
                       GetSQLValueString(convertdata($_POST['Emissao']), "date"),
                       GetSQLValueString(convertdata($dtpagamento_herdeiro), "date"),
                       GetSQLValueString($valor_de_juros, "double"),
                       GetSQLValueString($_POST['Multa'], "double"),
                       GetSQLValueString($_POST['Desconto'], "double"),
					   GetSQLValueString(0, "double"),
					   GetSQLValueString(0, "double"),
					   GetSQLValueString(0, "double"),
					   GetSQLValueString(0, "double"),
					   GetSQLValueString(0, "double"),
					   GetSQLValueString(0, "double"),
                       GetSQLValueString($valor_herdado, "double"),
                       GetSQLValueString($_POST['Detalhe'], "text"),
                       GetSQLValueString($pai_id[$key], "int"),
					   GetSQLValueString(convertdata($dtpagamento_herdeiro), "date"));

				mysql_select_db($database_paivaconex, $paivaconex);
				$Result1 = mysql_query($insertSQL, $paivaconex) or die(mysql_error());
  
				//Pegando o Id Gerado
				$query_teste = "SELECT LAST_INSERT_ID() as ultimo_id From mfin_pagamentos_2";
				$teste = mysql_query($query_teste, $paivaconex) or die(mysql_error());
				$row_teste = mysql_fetch_assoc($teste);
				$pai_id[$_POST['identificador_herdeiro'][$key][$key2]]= $row_teste['ultimo_id'];
		
		
				
		}
	}
	
	
//Fim Lançamento de Herdeiros
}
  
  
  
  
  header('Location: cadrecebimentos_multi.php');    
   
}








mysql_select_db($database_paivaconex, $paivaconex);
$query_cliente = "SELECT * FROM mfin_clientes ORDER BY NomeFantasia ASC";
$cliente = mysql_query($query_cliente, $paivaconex) or die(mysql_error());
$row_cliente = mysql_fetch_assoc($cliente);
$totalRows_cliente = mysql_num_rows($cliente);

mysql_select_db($database_paivaconex, $paivaconex);
$query_pasta = "SELECT * FROM mfin_pastas ORDER BY Numero ASC";
$pasta = mysql_query($query_pasta, $paivaconex) or die(mysql_error());
$row_pasta = mysql_fetch_assoc($pasta);
$totalRows_pasta = mysql_num_rows($pasta);

mysql_select_db($database_paivaconex, $paivaconex);
$query_tipo = "SELECT * FROM mfin_tiposrecebimentos ORDER BY Id ASC";
$tipo = mysql_query($query_tipo, $paivaconex) or die(mysql_error());
$row_tipo = mysql_fetch_assoc($tipo);
$totalRows_tipo = mysql_num_rows($tipo);

mysql_select_db($database_paivaconex, $paivaconex);
$query_banco = "SELECT * FROM mfin_bancos";
$banco = mysql_query($query_banco, $paivaconex) or die(mysql_error());
$row_banco = mysql_fetch_assoc($banco);
$totalRows_banco = mysql_num_rows($banco);

mysql_select_db($database_paivaconex, $paivaconex);
$query_formas = "SELECT * FROM mfin_formaspagamentos ORDER BY Id ASC";
$formas = mysql_query($query_formas, $paivaconex) or die(mysql_error());
$row_formas = mysql_fetch_assoc($formas);
$totalRows_formas = mysql_num_rows($formas);


mysql_select_db($database_paivaconex, $paivaconex);
$query_lancamento = "SELECT * FROM mfin_recebimentos 
Inner Join mfin_clientes ON Cliente_Id = mfin_clientes.Id
Left Join mfin_pastas ON Pasta_Id = mfin_pastas.Id
Inner Join mfin_contas ON ContaResultado=mfin_contas.Id 
Inner Join mfin_tiposrecebimentos ON mfin_recebimentos.Tipo=mfin_tiposrecebimentos.Id 
WHERE Emissao = '".convertdata($_GET['dt_rec'])."' AND mfin_pastas.Numero = '".$_GET['pasta_det']."' AND md5(mfin_recebimentos.Detalhe) = '".$_GET['rec_det']."'
ORDER BY mfin_recebimentos.Id";
$lancamento = mysql_query($query_lancamento, $paivaconex) or die(mysql_error());
$row_lancamento = mysql_fetch_assoc($lancamento);
$totalRows_lancamento = mysql_num_rows($lancamento);


mysql_select_db($database_paivaconex, $paivaconex);
$query_lancamento2 = "SELECT SUM( Juros) as juros_valor FROM mfin_recebimentos 
Inner Join mfin_clientes ON Cliente_Id = mfin_clientes.Id
Left Join mfin_pastas ON Pasta_Id = mfin_pastas.Id
Inner Join mfin_contas ON ContaResultado=mfin_contas.Id 
Inner Join mfin_tiposrecebimentos ON mfin_recebimentos.Tipo=mfin_tiposrecebimentos.Id 
WHERE Emissao = '".convertdata($_GET['dt_rec'])."' AND mfin_pastas.Numero = '".$_GET['pasta_det']."' AND md5(mfin_recebimentos.Detalhe) = '".$_GET['rec_det']."'";
$lancamento2 = mysql_query($query_lancamento2, $paivaconex) or die(mysql_error());
$row_lancamento2 = mysql_fetch_assoc($lancamento2);
$totalRows_lancamento2 = mysql_num_rows($lancamento2);


//Data de Pagamentos
mysql_select_db($database_paivaconex, $paivaconex);
$query_lancamento3 = "SELECT *, DATE_FORMAT(DtPagamento, '%d/%m/%Y') as Dt_Pagamento, mfin_pagamentos_2.Id as id_pagamento  FROM mfin_pagamentos_2 
Inner Join mfin_clientes ON Cliente = mfin_clientes.Id
Left Join mfin_pastas ON Pasta = mfin_pastas.Id
Inner Join mfin_contas ON ContaResultado=mfin_contas.Id 
WHERE Emissao = '".convertdata($_GET['dt_rec'])."' AND mfin_pastas.Numero = '".$_GET['pasta_det']."' AND md5(mfin_pagamentos_2.Detalhe) = '".$_GET['rec_det']."' And id_pag_pai IS NULL
ORDER BY mfin_pagamentos_2.Id";
$lancamento3 = mysql_query($query_lancamento3, $paivaconex) or die(mysql_error());
$row_lancamento3 = mysql_fetch_assoc($lancamento3);
$totalRows_lancamento3 = mysql_num_rows($lancamento3);


//Herdeiros
mysql_select_db($database_paivaconex, $paivaconex);
$query_lancamento4 = "SELECT *, DATE_FORMAT(DtPagamento, '%d/%m/%Y') as Dt_Pagamento, mfin_pagamentos_2.Id as id_pagamento  FROM mfin_pagamentos_2 
Inner Join mfin_clientes ON Cliente = mfin_clientes.Id
Left Join mfin_pastas ON Pasta = mfin_pastas.Id
Inner Join mfin_contas ON ContaResultado=mfin_contas.Id 
WHERE Emissao = '".convertdata($_GET['dt_rec'])."' AND mfin_pastas.Numero = '".$_GET['pasta_det']."' AND md5(mfin_pagamentos_2.Detalhe) = '".$_GET['rec_det']."' And id_pag_pai IS NOT NULL
ORDER BY mfin_pagamentos_2.Id";
$lancamento4 = mysql_query($query_lancamento4, $paivaconex) or die(mysql_error());
$row_lancamento4 = mysql_fetch_assoc($lancamento4);
$totalRows_lancamento4 = mysql_num_rows($lancamento4);


do { 

 $juros_repasse_pag[$row_lancamento3['Cliente']] = $row_lancamento3['Juros'];
 $data_pagamento[$row_lancamento3['Cliente']] = $row_lancamento3['Dt_Pagamento'];
 $id_pagamento[$row_lancamento3['Cliente']] = $row_lancamento3['id_pagamento'];

} while ($row_lancamento3 = mysql_fetch_assoc($lancamento3));


$honora = mysql_result($lancamento, 0, 'Tipo');
$forma_ = mysql_result($lancamento, 0, 'Forma');
$banco_ = mysql_result($lancamento, 0, 'Banco_Id');
$cheque_ = mysql_result($lancamento, 0, 'Cheque');
$banco_ = mysql_result($lancamento, 0, 'Banco_Id');
$data_ = $_GET['dt_rec'];
$juros_ = number_format(mysql_result($lancamento2, 0, 'juros_valor'),2,',','.');
$detalhe_ = mysql_result($lancamento, 0, 'Detalhe');

//USING
require_once 'controls/verifylogin.php';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>Módulo Financeiro</title>

<link href="../SpryAssets/SpryValidationTextField.css" rel="stylesheet" type="text/css" />
<link href="../SpryAssets/SpryValidationSelect.css" rel="stylesheet" type="text/css" />
<?php include_once('controls/import.php'); ?>
<script src="js/jquery-1.8.3.min.js" type="text/javascript"></script>
<script src="js/jquery.maskedinput-1.3.min.js" type="text/javascript"></script>
<script type="text/javascript" src="js/jquery.price_format.1.7.js"></script>
<script src="js/multiplos2.js" type="text/javascript"></script>
<script src="../SpryAssets/SpryValidationTextField.js" type="text/javascript"></script>
<script src="../SpryAssets/SpryValidationSelect.js" type="text/javascript"></script>
<script>
        jQuery(function($){
		   $("#Emissao").mask("99/99/9999");
		 });
        
</script>


<style>
#linha_pai{
    height: 12px;
    border: 0;
    box-shadow: inset 0 12px 12px -12px rgba(0, 0, 0, 0.5);
}

</style>


</head>


<?php 
		/*
		//Colocando herdeiros em Um Array
		$resultado_h = '';
		$juros_h = '';
		$nivel_h = '';
		$pai_h = '';
		$dt_pagamento_h ='';
		$valor_total_h = '';
		$identificador_h = '';
		$cliente_h ='';
		
		do { 
				
				
			
				
			$resultado_h[$row_lancamento4['id_pag_pai']][] = $row_lancamento4['Valor'] + $row_lancamento4['Juros'];
			$juros_h[$row_lancamento4['id_pag_pai']][] = $row_lancamento4['Juros'];
			$nivel_h[$row_lancamento4['id_pag_pai']][] = 0;
			$pai_h[$row_lancamento4['id_pag_pai']][] = $row_lancamento4['id_pag_pai'];
			$dt_pagamento_h[$row_lancamento4['id_pag_pai']][] =$row_lancamento4['Dt_Pagamento'];
			$valor_total_h[$row_lancamento4['id_pag_pai']][] = $row_lancamento4['Valor'] + $row_lancamento4['Juros'];;
			$identificador_h[$row_lancamento4['id_pag_pai']][] = $row_lancamento4['id_pagamento'];
			$cliente_h[$row_lancamento4['id_pag_pai']][] = $row_lancamento4['NomeFantasia'];
				
		  } while ($row_lancamento4 = mysql_fetch_assoc($lancamento4)); 
	*/	  
?>



<body>

<?php include_once('controls/header.php'); ?>

<div class="content">

<div class="form"><?php include_once('controls/menu.php'); ?>

<div id="conteudo-sit">

<div class="titulo-conteudo-site"><img src="images/applications.png"
	title="" alt="" /> Alteracao de Recebimentos - lan&Ccedil;amento multiplo </div>
<form action="" method="post" name="form1" id="form1">
  <table width="778" align="center">
    <tr valign="baseline">
      <td width="205" align="right" nowrap="nowrap">Pasta</td>
      <td width="712"><span id="spryselect1">
        <select name="Pasta_Id">
          <option value="0">Selecione</option>
          <?php 
do {  
?>
          <option value="<?php echo $row_pasta['Id']?>" <?php if ($row_pasta['Numero'] == $_GET['pasta_det']){ echo 'selected="selected"';}?>><?php echo $row_pasta['Numero'].' '.$row_pasta['Nome']?></option>
          <?php
} while ($row_pasta = mysql_fetch_assoc($pasta));
?>
        </select>
        <span class="selectInvalidMsg">Selecione um item valido.</span></span></td>
    </tr>
    <tr valign="baseline">
      <td nowrap="nowrap" align="right">Tipo:</td>
      <td><select name="Tipo">
        <?php
do {  
?>
        <option value="<?php echo $row_tipo['Id']?>"  <?php if ($row_tipo['Id'] == $honora){ echo 'selected="selected"';}?>><?php echo $row_tipo['Nome']?></option>
        <?php
} while ($row_tipo = mysql_fetch_assoc($tipo));
  $rows = mysql_num_rows($tipo);
  if($rows > 0) {
      mysql_data_seek($tipo, 0);
	  $row_tipo = mysql_fetch_assoc($tipo);
  }
?>
      </select></td>
    </tr>
    <tr valign="baseline">
      <td nowrap="nowrap" align="right">Forma:</td>
      <td><select name="Forma">
        <?php 
do {  
?>
        <option value="<?php echo $row_formas['Id']?>" <?php if ($row_formas['Id'] == $forma_){ echo 'selected="selected"';}?>><?php echo $row_formas['Nome']?></option>
        <?php
} while ($row_formas = mysql_fetch_assoc($formas));
?>
        </select></td>
    </tr>
    <tr valign="baseline">
      <td nowrap="nowrap" align="right">Cheque:</td>
      <td><input type="text" name="Cheque" value="<?php echo $cheque_; ?>" size="32" /></td>
    </tr>
    <tr valign="baseline">
      <td nowrap="nowrap" align="right">Banco</td>
      <td><select name="Banco_Id">
        <?php 
do {  
?>
        <option value="<?php echo $row_banco['Id']?>" <?php if ($row_banco['Id'] == $banco_){ echo 'selected="selected"';}?>><?php echo $row_banco['NomeConta']?></option>
        <?php
} while ($row_banco = mysql_fetch_assoc($banco));
?>
        </select></td>
    </tr>
    <tr valign="baseline">
      <td nowrap="nowrap" align="right">Data:</td>
      <td><p><span id="sprytextfield2">
        <input name="Emissao" type="text" value="<?php echo $data_; ?>" size="10" maxlength="10" id="Emissao" />
        <span class="textfieldRequiredMsg">Um valor e necessario.</span></span></p>
        </td>
    </tr>
    
    <tr valign="baseline">
      <td nowrap="nowrap" align="right">Juros R$ </td>
      
      <td><input name="juros" type="text" id="juros" value="<?php echo $juros_; ?>" size="32"  />
      <p>&nbsp;</p>
        <p>&nbsp; </p></td>
    </tr>
    <tr>
    <td colspan="2" align="center"><input name="listar" type="button" value="Listar Todos os Clientes" id="listar" /></td>	
    </tr>
    <tr style="font-size: 9px">
    <td colspan="2" align="right">
    <table width="672" align="right">
    <tr align="center" valign="baseline" style="font-size: 10px">
      <td width="38" nowrap="nowrap" style="font-size: 10px">Cliente</td>
      <td width="130" style="font-size: 10px">Valor R$</td>
      <td width="130" nowrap="nowrap" style="font-size: 10px">Juros Cliente R$:</td>
      <td width="130" style="font-size: 10px">Honorarios</td>
      <td width="130" style="font-size: 10px">IPREM R$:</td>
      
      

    </tr>
    <tr valign="baseline" style="font-size: 10px">
      <td width="38" align="right" nowrap="nowrap" style="font-size: 10px"><span style="font-size: 10px"></span>        <select name="Cliente_Id">
        <?php 
do {  
?>
        <option value="<?php echo $row_cliente['Id']?>" ><?php echo $row_cliente['NomeFantasia']?></option>
        <?php
} while ($row_cliente = mysql_fetch_assoc($cliente));
?>
      </select>
      </td>
      <td width="130" style="font-size: 10px"><input type="text" name="Valor" value="0" class="numeralbrasil"  />
</td>
      <td width="130" align="right" nowrap="nowrap"><input name="juros_repasse" type="text" id="juros_repasse" value="0" class="numeralbrasil"/></td>
      <td width="130"><input name="honorarios22" type="text" class="numeralbrasil" id="honorarios22" value="0" /></td>
      <td width="130" align="right"><input name="outross" type="text" id="outross" value="0"  class="numeralbrasil"/></td>
      
      

    </tr>
    <tr align="center">
    <td style="font-size: 10px">HSPMP R$</td>
    <td width="130" style="font-size: 10px">IRRF R$</td>
    <td width="130" style="font-size: 10px">Outros R$</td>
    <td style="font-size: 10px">=</td>
    <td width="130" style="font-size: 10px">Repasse R$</td>
    </tr>
    <tr>
    <td><input name="outros2s" type="text" id="outros2s" value="0"  class="numeralbrasil"/></td>
    <td width="126" align="right"><input name="honorarioss" type="text" id="honorarioss" value="0"  class="numeralbrasil"/></td>
    <td width="130"><input name="repasse" type="text" id="repasse" value="0"  class="numeralbrasil"/>
        
      </td>
      <td align="center" style="font-size: 10px">=</td>
      <td width="130">
        <input name="resultado" type="text" id="resultado" value="0" class="numeralbrasil"/>
      </td>
    </tr>
    </table>
    </td>
    </tr>
    
    <tr>
    <td colspan="2" align="center"><p>
      <input name="adicionar" type="button" id="adicionar" value="Adicionar" />
    </p>
      <p>&nbsp;</p>
      <p>&nbsp; </p></td>
    </tr>
    <tr>
    <td colspan="4" align="center">
    
    
	<tr>
    <td colspan="4" align="center" id="descricao">

    
    
    
    
    
  		
	
    
    <?php
	
	$contador = $totalRows_lancamento + 1;
	
	do { 
	
    //Variaveis
	$contador--;
	$row_clientes = $row_lancamento['NomeFantasia'];
	$valor = $row_lancamento['Valor'];
	$juros_repasse =  $juros_repasse_pag[$row_lancamento['Cliente_Id']];
	$dtpagamento =  $data_pagamento[$row_lancamento['Cliente_Id']];
	$id_pag =  $id_pagamento[$row_lancamento['Cliente_Id']];
	$honorarios22 = $row_lancamento['honorarios'];
	$outross = $row_lancamento['outros'];
	$Id = $row_lancamento['Cliente_Id'];
	$outros2s = $row_lancamento['outros2'];
	$honorarioss = $row_lancamento['outros3'];
	$repasse = $row_lancamento['outros4'];
	$resultado = $valor + $juros_repasse - $honorarios22 - $outross - $outros2s - $honorarioss - $repasse ;
	
	
	?>
    
    <?php $identificador = $id_pag; ?>

	<div class="0" id="<?php echo $identificador; ?>">
    <table id="linha_<?php echo $contador;?>" border="0" align="center" class="descricao_contar" bordercolor="#000000">
<tr>
  <td width="60" align="right" rowspan="2" bordercolor="#FFFFFF"><?php echo $contador;?> </br><input type="button" name="remover" id="remover" value="X" /></td>
    
  <td bordercolor="#FFFFFF" ><label for="cli_nome[]"></label>
    <input name="cli_nome[]" type="text" id="cli_nome[]" value="<?php echo htmlentities($row_clientes, ENT_COMPAT, 'iso-8859-1'); ?>" readonly="readonly" style="width:200px;">   </td>
	<input type="hidden" name="identificador[]" id="identificador" value="<?php echo $identificador; ?>">
    
  <td bordercolor="#FFFFFF" ><label for="cli_valor[]"></label>
    <input name="cli_valor[]" type="text" class="valor" id="cli_valor" value="<?php echo number_format($valor,2,',','.'); ?>">  
    </td>
    
  <td bordercolor="#FFFFFF" >
    <input name="juros_repass[]" type="text" class="juros_repass" id="juros_repass2" value="<?php echo number_format($juros_repasse,2,',','.'); ?>" /></td>
  <td bordercolor="#FFFFFF" >
    <input name="honorarios2[]" type="text" class="honorarios2" id="honorarios2" value="<?php echo number_format($honorarios22,2,',','.'); ?>" /></td>
  <td bordercolor="#FFFFFF" >
    <input name="outros[]" type="text" class="desconto" id="repass2" value="<?php echo number_format($outross,2,',','.'); ?>" /></td>
    <input name="dtpagamento[]" type="hidden" class="dtpagamento" id="dtpagamento" value="<?php echo $dtpagamento; ?>" /></td>
    
  
    
    
    <input type="hidden" name="cli_id[]" id="cli_id[]" value="<?php echo $Id; ?>">
  </tr>
	<tr>
    
    <td bordercolor="#FFFFFF"><input name="outros2[]" type="text" class="desconto" id="repass" value="<?php echo number_format($outros2s,2,',','.'); ?>" /></td>
    <td bordercolor="#FFFFFF" >
    <input name="honorarios[]" type="text" class="desconto" id="repass3" value="<?php echo number_format($honorarioss,2,',','.'); ?>" /></td>
    <td bordercolor="#FFFFFF" ><input name="repass[]" type="text" class="descon" id="repass4" value="<?php echo number_format($repasse,2,',','.'); ?>" /></td>
    <td align="center" width="100" bordercolor="#FFFFFF" >
    =
    </td>
    <td bordercolor="#FFFFFF">
    <input name="result[]" type="text" class="juros_repass" id="juros_repass" value="<?php echo number_format($resultado,2,',','.'); ?>" readonly="readonly">  
    </td>
</tr>

	<tr>
		<td colspan="6" align="center">   <input type="button" name="adicionar_herdeiro" id="adicionar_herdeiro" value="Adicionar herdeiro" /> </td>
	</tr>


</table>

		<?php
		/*
		//Lançamento de herdeiros
		if(isset($resultado_h[$identificador]){
			$contagem_h == 1;
		}else{
			$contagem_h == 0;
		}
		
		while ($contagem_h == 1) {
		

		
			
					
					
					
					
		}
		
		
		*/
		?>





<hr id="linha_pai">
</div>

    

<?php


} while ($row_lancamento = mysql_fetch_assoc($lancamento));
?>



    </td>
    </tr>
    
        <tr valign="baseline">
      <td align="right" valign="bottom" nowrap="nowrap"><p>&nbsp;</p>
        <p>&nbsp; </p>
        Total:</td>
      
      <td>
      <p>&nbsp;</p>
        <p>&nbsp; </p><input name="total" type="text" id="total" value="" size="32" readonly="readonly" /></td>
    </tr>
    <tr valign="baseline">
      <td nowrap="nowrap" align="right">Detalhe:</td>
      <td><span id="sprytextfield1"><span class="textfieldRequiredMsg">Um valor e necessario.</span><span id="sprytextfield3">
        <input name="Detalhe" type="text" id="Detalhe" value="<?php echo $detalhe_; ?>" />
        <span class="textfieldRequiredMsg">Um valor e necessario.</span></span></span></td>
    </tr>
    
    <tr valign="baseline">
      <td nowrap="nowrap" align="right">&nbsp;</td>
      <td><input type="submit" value="Inserir registro" /></td>
    </tr>
  </table>
  <input type="hidden" name="NumeroNota" value="0" />
  <input type="hidden" name="Vencimento" value="0" />
  <input type="hidden" name="Juros" value="0" />
  <input type="hidden" name="Multa" value="0" />
  <input type="hidden" name="Desconto" value="0" />
  <input type="hidden" name="Recebimento" value="0" />
  <input type="hidden" name="Baixadoem" value="" />
  <input type="hidden" name="MM_insert" value="form1" />
  
  
  
  
  <input type="hidden" name="pasta_det" value="<?php echo $_GET['pasta_det']?>" />
  <input type="hidden" name="rec_det" value="<?php echo $_GET['rec_det']?>" />
  <input type="hidden" name="dt_rec" value="<?php echo $_GET['dt_rec']?>" />
  
  
  
</form>

</div>

</div>

</div>

<?php include_once('controls/footer.php'); ?>
<script type="text/javascript">
var sprytextfield2 = new Spry.Widget.ValidationTextField("sprytextfield2");
var sprytextfield3 = new Spry.Widget.ValidationTextField("sprytextfield3");
var spryselect1 = new Spry.Widget.ValidationSelect("spryselect1", {isRequired:false, invalidValue:"0"});
</script>


<script type="text/javascript">
$(document).ready(function() {

	<?php 
	
	if ($totalRows_lancamento4 <> 0 ) {
	
	?>
	
		
		var div = [];
		var nivel = [];
		var pai = [];
		var valor = [];
		var juros_repasse = [];
		var valor_total = [];
		var identificador = [];
		var cliente = [];
		var dt_pagamento = [];
	
	
	<?php
	
	do { 
	
	?>
	
		div.push(jQuery(this).find('#<?php echo $row_lancamento4['id_pag_pai'];  ?>'));
		nivel.push(0);
		pai.push(<?php echo $row_lancamento4['id_pag_pai'];  ?>);
		valor.push(<?php echo $row_lancamento4['Valor'] + $row_lancamento4['Juros'];  ?> );
		juros_repasse.push(<?php echo $row_lancamento4['Juros'];  ?> );
		valor_total.push(<?php echo $row_lancamento4['Valor'] + $row_lancamento4['Juros'];  ?> );
		identificador.push(<?php echo $row_lancamento4['id_pagamento'];  ?> );
		cliente.push( '<?php echo $row_lancamento4['NomeFantasia'];  ?>' );
		dt_pagamento.push( '<?php echo $row_lancamento4['Dt_Pagamento'];  ?>' );
		
		
		
	<?php  } while ($row_lancamento4 = mysql_fetch_assoc($lancamento4)); ?>	
		
		//Recuperacao de Post
		
		$.each(pai, function(i, item) {
			
			$.post("cad_multiplos2_herdeiro.php",{pai:pai[i], nivel:nivel[i], valor:valor[i], juros_repasse:juros_repasse[i], valor_total:valor_total[i], identificador:identificador[i], cliente:cliente[i], dt_pagamento:dt_pagamento[i] },function(data){
				
				$("#" + pai[i]).after(data);
			
			
			})
		
		
		});

	<?php  } ?>	
		
})

</script>
</body>
</html>
<?php

mysql_free_result($lancamento);

mysql_free_result($cliente);

mysql_free_result($pasta);

mysql_free_result($tipo);

mysql_free_result($banco);

mysql_free_result($formas);
?>
